_server_error = "服务器居然开小差了，请稍后再试吧！"
#全局
SUCCESS = "请求成功"

#ORM
NO_DATA = "数据不存在"
DATA_EXISTS = "数据已存在"
UNKNOWN_ERROR = "未知错误"
ADD_FIELD = "添加失败"

#COOKIE
NO_TRANSACTION_CURRENCY = "缺少交易货币类型"

#请求错误
MISSING_REQUEST_PARAMETER = "缺少请求参数"
REQUEST_PARAMETER_WRONG = "请求参数错误"
SCAN_ERROR = "查询出错"

#预下单错误
NO_PREORDER_INFO = "预下单信息不存在"
NOT_FOR_SALE_ITEMS = "下单商品中包含非卖品"
WRONG_FX_ID = "错误的fx_id"
WRONG_ADDRESS_ID = "错误的address_id"
UNABLE_GEN_ORDER_ID = "order_id生成失败"
CANNOT_CHOSEN_MULTIPLE_EXPRESSES = "不能选择多个物流方式"
FAILED_SET_CACHE = "设置缓存失败"
SHIPPING_METHOD_NOT_SELECTED = "未选择物流方式"
CALCULATE_ORDER_AMOUNT_ERROR = "订单金额异常，请移除折扣码后重试"
UNABLE_CONFIRM_EXPRESS_METHOD = "请选择正确的物流方式"
CANNOT_SHIP_WHERE_PLACE = "收货地址所选区域无法配送"
INVALID_PREVIEW_CREDENTIAL = "商品预览凭据已失效"
INVALID_PREPAY_CREDENTIAL = "订单预支付凭据已失效"
CLICK_SPEED_TOO_FAST_ERR = "点击次数过快！"

#订单错误
ORDER_DOES_NOT_EXIST = "订单不存在"
ORDER_CACHE_INVALIDATION = "订单缓存失败"
ORDER_CLOSED = "订单已关闭"
WRONG_ORDER = "错误的订单"
WRONG_ORDER_STATUS = "错误的订单状态"
ORDER_PAID = "订单已支付"
ORDER_PAYING = "订单正在支付中,剩余时间{time}秒"
ORDER_IMPORT_ITEM_IMG_URL_ERROR = "订单导入商品图片地址错误"
ORDER_ZIPCODE_NEED_UPDATE = "请更新收货信息中的邮政编码"
NOT_UPDATE_RECEIVER_STATUS = "非待发货状态的订单,不能更新收货信息"
WRONG_RECEIVER_FIRSTNAME = "请填写地址信息中的联系人名讳"
WRONG_RECEIVER_LASTNAME = "请填写地址信息中的联系人姓氏"
WRONG_RECEIVER_STREET = "请填写地址信息中的街道"
WRONG_RECEIVER_APARTMENT = "请填写地址信息中的门牌号"
WRONG_RECEIVER_CITY = "请填写地址信息中的城市"
WRONG_RECEIVER_STATE = "请填写地址信息中的州/省"
WRONG_RECEIVER_ZIPCODE = "请填写地址信息中的邮编"
WRONG_RECEIVER_COUNTRY = "请填写地址信息中的国家"
WRONG_RECEIVER_PHONE = "请填写地址信息中的联系人电话号码"
MANUAL_PAY_AMOUNT_ERROR = "手动支付金额大于订单实际支付金额"
TOO_MANY_ORDERS = "当前下单人数过多，请稍后再试"

#售后
NO_AFTER_SALES = "售后单不存在"
NOT_APPLIED_AFTER_SALES = "请先申请售后"
UNABLE_GEN_AFTER_SALE_ID = "无法生成售后单号"
REFUND_AMOUNT_EXCEEDS = "退款金额大于支付金额"
NOT_SUPPORTED_PARTIAL_REFUND = "不支持部分退款"
ITEMS_NUM_REFUND_EXCEEDS = "商品退款数量大于商品购买数量"
UNABLE_APPLY_AFTER_SALES = "当前订单无法申请售后"

#支付方式
SUPPORTED_CURRENCY_NO_SET = "未设置支持的货币类型"
FAILED_GET_PAY_WAYS = "获取支付方式异常,请联系管理员"

#店铺
SHOP_DOES_NOT_EXIST = "店铺不存在"
CURRENCY_SETTER_WRONG = "店铺货币设置错误"
PAYMENT_SETTER_WRONG = "店铺支付设置错误"
QUOTE_CURRENCY_WRONG = "错误的标价货币类型"
NO_PERMISSION = "无权限"
EMAIL_SETTER_WRONG = "店铺邮件服务设置错误"
ADMIN_EMAILS_MAX_LIMIT = "管理员邮箱最多设置1个"
SYSTEM_EMAIL_CANNOT_REPLIED = "系统邮件无法回复"
NO_MONEY = "余额不足"
SHOP_LANG_EXIST = "店铺语言已存在"
AUTO_TRANS_CANNOT_ENABLED_FOR_DEFAULT_LANG = "默认语言不可开启自动翻译"
LANG_NOT_EXIST = "语言不存在"
MAIN_DOMAIN_CANNOT_DELETE = "域名不可删除"
DOMAIN_EXIST = "域名已存在"
CURRENCY_NO_SET = "集市模式不允许子店修改汇率"
MALL_SELLER_SHOP_LIMIT = "店铺数量已达配置设定的上限"

#商品
WRONG_GOODS_ID = "goods_id错误"
WRONG_SKU_ID = "sku_id错误"
NO_GOODS_INFO = "商品信息不存在"
NO_SKU_INFO = "SKU信息不存在"
GOODS_OFF_THE_SHELVES = "商品已下架"
GOODS_OUT_OF_STOCK = "该收货国家或地区的商品库存不足"
GOODS_OUT_OF_SAME_WAREHOUSE_STOCK = "同一仓库无法匹配到所有商品,请分开下单"
VIEW_ERROR = "视图错误"
SUB_CONTENT_ERROR = "子内容错误"
GOOD_PUBLIC_SHOP_ID_ERROR = "只有子店才能刊登主店商品"
NO_GOOD_SUPPLY_ERROR = "没有供应商品信息"
GOOD_SUPPLY_ERROR = "主店刊登的商品不允许供应"
THIRD_PARTY_GOODS_OUT_OF_STOCK = "第三方商品库存不足，无法上架"
STOCK_IS_USED = "库存已被占用"
STOCK_CANT_LESS_ZERO = "商品库存数设置不能小于0"
DELETE_GOOD_CHECK_SUPPLY_ERROR = "商品正在供应中，无法删除"
FIRST_SUPPLY_STOCK_CANT_LESS_ZERO = "首次供应商品库存数设置不能小于0"
MAIN_SHOP_SKU_STOCK_NOT_ENOUGH = "主店铺商品库存不足，无法设置供应数量"
SUPPLY_GOODS_NOT_EDIT = "供应商品不允许编辑"
SUPPLY_GOODS_NOT_DELETE = "供应商品不允许删除"

#仓库
WAREHOUSE_DOES_NOT_EXIST = "仓库不存在"
NOT_CREATE_POLICY = "未创建仓库策略"

#折扣码
QUERY_FIELD_ERROR = "创建折扣码信息错误"
BENEFIT_CONDITION_FIELD_ERROR = "创建折扣码内容信息错误"
BENEFIT_SCOPE_GOODS_LIST_FIELD_ERROR = "设置优惠商品信息错误"
EFFECT_SCOPE_GOODS_LIST_FIELD_ERROR = "设置适用折扣类型商品信息错误"
TARGET_USER_INFO_LIST_FIELD_ERROR = "设置用户权限信息错误"
SALES_ENV_CUSTOM_INFO_FIELD_ERROR = "设置自定义样式信息错误"
FREIGHT_SET_ERROR = "免运费设置只能是all"
DISCOUNT_SET_ERROR = "折扣之和超出100限制"
FIXED_REDUCTION_SET_ERROR = "固定金额类型必需填写固定优惠金额"
FULL_DELIVERY_SET_ERROR = "满送类型必须填写减免折扣信息"
NO_BENEFIT_CODE_ERROR = "不存在的折扣码信息"
BENEFIT_CODE_CLOSED_ERROR = "折扣码已关闭"
BENEFIT_CODE_EXPIRE_ERROR = "折扣码已过期"
BENEFIT_CODE_CANNOT_BE_REUSED_ERROR = "同一折扣码不能重复使用"
BENEFIT_CODE_OVERLAPPING_USED_ERROR = "已使用的折扣码不支持与其他折扣码叠加使用"
BENEFIT_CODE_OVERLAY_USAGE_ERROR = "此折扣码不允许与其他折扣码叠加使用"
BENEFIT_EVENT_ASSIGNMENT_ERROR = "减免条件设定错误，折扣码无法使用"
BENEFIT_CODE_LOCK_MIN_AMOUNT_ERROR = "锁定最低消费金额失败"
ORDER_PAYMENT_AMOUNT_NOT_MEET_DISCOUNT_INFO_ERROR = "订单商品不满足优惠规则，无法使用折扣码"
BENEFIT_CODE_LOCK_MIN_NUM_ERROR = "锁定最低购买数量失败"
ORDER_ITEM_COUNT_NOT_MEET_DISCOUNT_INFO_ERROR = "订单商品不满足优惠规则，无法使用折扣码"
BENEFIT_DISCOUNT_CHECK_ERROR = "打折类型折扣时出现错误"
BENEFIT_GU_DING_CHECK_ERROR = "固定减免类型折扣时出现错误"
BENEFIT_MAN_SONG_CHECK_ERROR = "优惠券无法使用！满送类型折扣时出现错误"
BENEFIT_FREE_SHIPPING_CHECK_ERROR = "优惠券无法使用！免运费类型折扣时出现错误"
BENEFIT_TARGET_USED_CHECK_ERROR = "优惠券无法使用！订单用户不满足折扣码的用户限制"
BENEFIT_CODE_BE_USED_ERROR = "此折扣码您已使用过了"
BENEFIT_CODE_USED_UP_ERROR = "折扣码使用次数已用完"
BENEFIT_CODE_CACHE_SET_ERROR = "折扣码缓存失败"
NO_BENEFIT_CODE_CACHE_ERROR = "已经没有任何折扣码信息了"
BENEFIT_CODE_SQL_ERROR = "折扣码添加或更新失败"
BENEFIT_CODE_CONDITION_ERROR = "优惠内容查询失败"
BENEFIT_CONDITION_SQL_ERROR = "优惠内容添加或更新失败"
BENEFIT_GOODS_SQL_ERROR = "优惠商品添加或删除失败"
EFFECT_SCOPE_GOODS_SQL_ERROR = "适用折扣类型商品添加或删除失败"
TARGET_USER_INFO_SQL_ERROR = "用户权限添加或删除失败"
SALES_ENV_CUSTOM_INFO_SQL_ERROR = "自定义样式信息添加或更新失败"
SHIPPING_ADDRESS_MATCHING_ERROR = "此订单收货国家不在免运费国家列表中"
DISCOUNT_ITEM_MATCHING_ERROR = "订单中存在不适用于此折扣码的商品：{goods_name}"
BENEFIT_CODE_NOT_MATCH_SHOP_ERROR = "该折扣码不适用于此店铺"
BENEFIT_CODE_CANNOT_BE_CLAIMED_ERROR = "已经领取过该折扣码"
MANSONG_GOOD_IS_NOT_NULL = "满送类型必须选择商品或商品分类"
MANSONG_GIFT_GOOD_NUM_IS_NOT_NULL = "满送类型礼物数量不能为0"

#推送订单
LACK_CONFIG_FIELD_ERROR = "缺少配置参数"

#申报配置
CONFIG_FIELD_NULL = "配置参数不能为空"
SEARCH_MERCHANT_ERROR = "外部平台不存在的商户配置"

#Data
DATA_NOT_EQUAL = "数据不相等"
DATA_REPEAT = "数据重复"

#用户
QUERY_LIST_FAILED = "查询列表失败"
QUERY_CONDITION_FAILED = "查询条件失败"
LEVEL_NAME_CANNOT_BE_EMPTY = "等级名称不能为空"
GROUP_NAME_CANNOT_BE_EMPTY = "分组名称不能为空"
OLD_PASSWORD_ERROR = "旧密码错误"
DEPARTMENT_HAS_USER = "部门下存在用户"
ACCOUNT_EXIST = "账号已存在"
ACCOUNT_NOT_EXIST = "账号不存在"
PHONE_EXIST = "手机号已存在"
EMAIL_EXIST = "邮箱已存在"
USER_INFO_ERROR = "用户信息错误"
PASSWORD_ERROR = "密码错误"
ACCOUNT_DISABLE_LOGIN = "账号已被禁用"
EMAIL_CODE_ERROR = "邮箱验证码错误"
PHONE_CODE_ERROR = "手机验证码错误"
CODE_EMPTY = "验证码不能为空"
CODE_ERROR = "验证码错误"
INVALID_CAPTCHA = "验证码错误"
SET_CONFIG_PHONE_ENABLE_ERROR = "请使用手机号码注册"
SET_CONFIG_EMAIL_ENABLE_ERROR = "请使用邮箱号码注册"
CODE_EXPIRE_ERROR = "验证码已过期"

#邮费
NO_REVIVE_COUNTRY_DATA = "没有设置可配送国家"
FAILED_CONVERT_TO_ARRAY = "可配送国家字符串转数组失败"
REVIVE_COUNTRY_OUT_OF_RANGE = "收货国家不在可配送国家范围内"
OPEN_CHECK_ID_CARD = "您填写的收货地址，当地海关会验证您的身份信息，请正确填写身份信息，以便您更快的收到货物"
FARE_TEMPLATE_NAME_IS_NOT_NULL = "邮费模板名称不能为空"
REGION_IS_NOT_NULL = "配送范围不能为空"
FARE_TEMPLATE_DATA_IS_NULL = "未设置运费模板，当前区域不支持配送"
REGION_COUNTRY_IS_NOT_REPEAT = "当前国家已经创建邮费模板"
FARE_ID_IS_NOT_NULL = "没有创建运费模板，无法创建运费方式"
CARRY_NAME_IS_NULL = "运费名称不能为空"
BILLING_METHOD_IS_NULL = "没有选择计费方式"
FIXED_FREIGHT_IS_NOT_NULL = "固定计费，运费不能为空"
FIRST_PIECE_IS_NULL = "首重没有填写"
FIRST_AMOUNT_IS_NULL = "首重费用没有填写"
SECOND_PIECE_IS_NULL = "续重没有填写"
SECOND_AMOUNT_IS_NULL = "续重费用没有填写"
FIRST_PIECE1_IS_NULL = "首件没有填写"
FIRST_AMOUNT1_IS_NULL = "首件费用没有填写"
SECOND_PIECE1_IS_NULL = "续件没有填写"
SECOND_AMOUNT1_IS_NULL = "续件费用没有填写"
EXTRA_CONDITION_DATA_IS_NULL = "没有正确填写数据，无法添加"
MODE_DATA_IS_NULL = "没有查询到运费方式数据"
START_INTERVAL_IS_NULL = "起始条件不能为空"
END_INTERVAL_IS_NULL = "结束条件不能为空"
ID_NUMBER_LENGTH_ERROR = "身份证号码长度错误"
ID_NUMBER_ERROR = "请输入正确的身份证号码"


TranslateFailed = "翻译失败"
TranslateLinkError = "翻译链接错误"
TranslateParseFailed = "翻译解析失败"
TranslateConfigError = "翻译配置错误"
CHINA_TAX_RATE_FORBIDDEN = "中国税率不允许操作"

SERVICE_NOT_EXIST = "服务不存在"
WRONG_SERVICE_ID = "服务ID错误"
WRONG_SERVICE_STATUS = "服务状态错误"
SERVICE_UPDATE_ERROR = "服务更新失败"
SERVICE_GOODS_NOT_EXIST = "服务商品不存在"
SERVICE_CATS_NOT_EXIST = "服务分类不存在"
SERVICE_SCATS_NOT_EXIST = "服务公共分类不存在"
SERVICE_FIELD_ERROR = "服务字段错误"
SERVICE_NAME_CANNOT_BE_EMPTY = "服务名称不能为空"
SERVICE_PRICE_CANNOT_BE_EMPTY = "服务价格不能为空"
SERVICE_GOODS_CANNOT_BE_EMPTY = "服务商品不能为空"
SERVICE_CATS_CANNOT_BE_EMPTY = "服务分类不能为空"
SERVICE_SCATS_CANNOT_BE_EMPTY = "服务公共分类不能为空"
SERVICE_CODE_CANNOT_BE_CHANGED = "服务编码不能修改"
DELETE_SERVICE_GOODS_FAILED = "删除服务商品失败"
DELETE_SERVICE_CATS_FAILED = "删除服务分类失败"
DELETE_SERVICE_SCATS_FAILED = "删除服务公共分类失败"
UPDATE_SERVICE_FAILED = "更新服务失败"
ADD_SERVICE_GOODS_FAILED = "添加服务商品失败"
ADD_SERVICE_CATS_FAILED = "添加服务分类失败"
ADD_SERVICE_SCATS_FAILED = "添加服务公共分类失败"
ADD_SERVICE_FAILED = "添加服务失败"
SERVICE_NAME_EXIST = "服务名称已存在"

UNAPPLY_SHOP = "您未提交店铺资料,请先申请店铺"
SHOP_SMS_ERROR = "短信服务异常,请联系商家"

SEO_GOOGLE_AUTH_CONFIG_ERROR = "请设置谷歌配置参数"
SEO_GOOGLE_USER_ROLE_ERROR = "用户无权限访问此功能"
SEO_GOOGLE_SITE_URL_ERROR = "不支持的url链接"

PHONE_NOT_CHINA = "手机号不是中国大陆手机号，不能发送短信"

EXPRESS_CODE_EXIST = "快递编码已存在"

MISSING_PARAMETER = "缺少请求参数"
SIGN_ERROR = "签名错误"
SHOP_ID_NOT_BIND = "店铺与用户未绑定"
HTMLContentEmpty = "HTML内容不能为空"
PRINTER_EXIST = "打印机已存在"
PRINTER_ADD_ERROR = "打印机添加失败"
PRINTER_DEL_ERROR = "打印机删除失败"
TEMPLATE_ID_EMPTY = "模板ID不能为空"
PRINTER_ID_EMPTY = "打印机ID不能为空"
PRINTER_EMPTY = "打印机不存在,请先添加打印机"
TEMPLATE_NOT_ENABLE = "请先启用打印模板,再进行打印"
PRINTER_TEMPLATE_EMPTY = "请先设置打印模板,再进行打印"
PRINTER_OFFLINE = "打印机离线,请检查打印机是否正常"
PRINTER_DATA_EMPTY = "打印指令数据为空"
PRINTER_NOT_BIND_TEMPLATE = "打印机未绑定有效的打印模板,无法打印"
PRINTER_NOT_CONFIG = "未配置云打印账号"

INVALID_DOMAIN = "无效的域名"
CHECK_CACHE_GUEST_TOKEN_ERROR = "请收银员刷新token后操作"

SELLER_ID_EMPTY = "商家ID不能为空"
DISTRIBUTOR_NOT_EXIST = "代理商不存在"
DISTRIBUTOR_EXIST = "代理商已存在"
DISTRIBUTOR_ADD_ERROR = "代理商添加失败"
RELATION_IS_EXIST = "代理关系已存在"
DISTRIBUTION_CODE_EMPTY = "邀请码不能为空"
REGISTER_ADMIN_DISABLE = "禁止注册成为管理员"
INVALID_ROLE = "无效的角色"
DISTRIBUTOR_INVALID = "代理商已失效"
DISTRIBUTOR_NOT_BIND_GRADE = "代理商未绑定等级"
ORDER_IS_AUDIT = "订单已审核"
PURCHASE_DOES_NOT_EXIST = "采购单不存在"
PURCHASE_ITEMS_DOES_NOT_EXIST = "采购商品不存在"
PURCHASE_ORDER_DOES_NOT_EXIST = "采购单对应的主店铺订单不存在"
PURCHASE_SAVE_ERR = "保存采购单信息失败"
PURCHASE_ITEMS_SAVE_ERR = "保存采购商品信息失败"
PURCHASE_ORDER_SAVE_ERR = "保存采购单对应的主店铺订单失败"
NOT_CREATE_INTERNAL_ORDER = "请先创建内部订单"
NOT_SELECT_WAREHOUSE = "请先选择仓库"
NOT_CREATE_PURCHASE = "请先创建采购单"
MAIN_SHOP_EQ_SUB_SHOP = "采购店铺和销售店铺不能是同一个"
SAVE_PREPAY_ERROR = "保存预支付信息异常"
SAVE_PREPAY_ORDER_ERROR = "保存预支付订单信息异常"
PURCHASE_PAID = "采购单已支付"
PURCHASE_CLOSED = "采购单已关闭"
UPDATE_PURCHASE_ERR = "更新采购单信息异常"
PURCHASE_EXISTS = "采购单已存在"
OUT_ORDER_INVALID = "只有待发货状态的外部订单才可以进行采购"
PURCHASE_UNPAID = "采购单未支付"
PURCHASE_REFUNDED = "采购单已退款"
PURCHASE_AFTER_SALE = "采购单售后中"
AFTER_SALE_STATUS_CANNOT_TODO = "售后单当前状态不支持退款"
PURCHASE_SHIPPED = "采购单已发货"
SAVE_RECHARGE_LOG_ERR = "保存充值单失败"
NO_RECHARGE_LOG = "未找到充值单"
UPDATE_RECHARGE_LOG_ERR = "更新充值记录失败"
RECHARGE_PENDING = "充值单未支付"
RECHARGE_PAID = "充值单已支付"
RECHARGE_REFUNDING = "充值单正在退款"
RECHARGE_REFUNDED = "充值单已退款"
RECHARGE_CLOSED = "充值单已关闭"
NOT_DISTRIBUTOR = "您不是代理商，无法查看"
WRONG_INVITE_CODE = "请输入正确的邀请码"
ORDER_STATUS_INVALID = "订单状态不正确，不能审核"
NOW_CANNOT_PAY = "支付正在排队中,请稍等"
NO_FUNDS_CHANGELOG = "没有店铺资金变更记录"
SAVE_FUNDS_CHANGELOG = "保存店铺资金变更记录失败"
SAVE_PURCHASE_PREPAY_ERR = "保存采购单预支付信息失败"
UPDATE_PURCHASE_PREPAY_ERR = "更新采购单预支付信息失败"
NO_PURCHASE_PREPAY = "没有找到采购单预支付信息"
PURCHASE_PREPAY_PAID = "采购预支付单已支付"
PURCHASE_PREPAY_CLOSED = "采购预支付单已关闭"
DIFF_MAIN_SHOP_ID = "向不同主店采购的订单,不能同时支付"
RECHARGE_SHOP_SAME = "不能给自己店铺充值"
ITEM_OUT_ID_EMPTY = "订单商品中的out_id为空"
REGISTER_DISABLE = "注册功能已关闭"
NO_CORRESPONDING_LANGUAGE = "此店铺没有对应的语言"
ORDER_DOES_NOT_ALLOW_DUPLICATE_PUSH = "订单不允许重复推送"
SHIP_GOODS_NUM_GT_ORDER_NUM = "商品发货数量大于订单中此商品的购买数量"
SELECT_SHIP_GOODS = "请选择要发货的商品"
NO_SET_SYN_CONFIG = "未设置同步配置"
ORDER_DELIVER_STATE_IS_NULL = "订单收货省份未匹配到对应编码"
ORDER_COUNTRY_NOT_GIGA_SUPPORT = "大健平台不支持该国家收货"
PUR_ORD_CNT_HANDLE_PAY = "采购类型的订单不允许手工支付"
DEFAULT_VIEW_NOT_EXIST = "默认视图不存在"
DEFAULT_VIEW_EXIST = "默认视图已存在"
BULK_SEND_GROUPS_AND_MEMBERS_EMPTY = "请选择群发对象,用户组或者用户"
BULK_SEND_HAS_UNDONE_TASKS = "存在未完成的群发任务,请在所有任务完成后再试试"
BULK_SEND_ONLY_FAILED_CAN_DO = "只有失败状态的群发任务才可以重发哦"
UPLOAD_FILE_NOT_NULL = "上传文件不能为空"
TIKTOK_PRODUCT_NOT_EXIST = "抖音商品不存在"
NOT_EXIST_SHOP_INFO = "店铺信息不存在"
NOT_EXIST_CURRENCY = "货币不存在"
NOT_EXIST_SHOP_VIEW = "店铺视图不存在"
NOT_EXIST_PRODUCT = "商品不存在"
SPLIT_SKU_PROPS_ERROR = "拆分SKU属性异常"
NOT_EXIST_AUTH_INFO = "授权信息不存在"
FULL_ADDRESS_ERROR = "完整地址错误"
UPLOAD_FILE_SUFFIX_ERROR = "上传文件后缀错误"
ORDER_UNPAID_REMINDER = "您有未支付的订单,无法继续"
WRONG_MSG_ID = "站内信ID错误"
WRONG_MSG_STATUS = "服务状态错误"
MESSAGE_NOT_EXIST = "站内信不存在"
MESSAGE_UPDATE_ERROR = "站内信更新失败"
MESSAGE_READ_ERROR = "站内信已读失败"
MESSAGE_MEMBER_ERROR = "私信模式下,接收人不能为空"
# webhook
WEBHOOK_NO_CONFIG = "没有要推送的项目"
WEBHOOK_NO_MATCH_WAREHOUSE = "未匹配到仓库"
THIRD_ORDER_NOT_ALLOW_SHIP = "第三方订单不允许发货"
NO_ORDER_STOCK_CHANGE_LOG = "选择切换的来源仓库不在订单库存扣减记录中"
SWITCH_STOCK_QUANTITY_TOO_GREAT = "选择切换商品的数量大于订单中的该商品购买数量"
FAILED_TO_SWITCH_SHIP_WAREHOUSE = "切换发货仓库失败"
SWITCH_ORDER_WAREHOUSE_IN_ORDER_WAREHOUSE = "切换的目标发货仓库和当前订单中已选择的发货仓一致"

USER_ID_EMPTY = "商城用户ID为空"
ALREADY_DISTRIBUTOR = "您已经是代理商"
NO_RELATION = "没有绑定过代理关系"

WAREHOUSE_DELIVERY_REGION_NOT_SUPPORTED = "此地区无法配送"
WAREHOUSE_WEIGHT_EMPTY = "没有仓库权重信息"
WAREHOUSE_PLEASE_SET_WEIGHT = "请先设置仓库权重"
WAREHOUSE_NO_DELIVER_REGION = "没有可配送地区信息"
WAREHOUSE_PLEASE_SET_DELIVER_REGION = "请先设置可配送地区"
WAREHOUSE_REGION_NOT_MATCH = "仓库配送地区不匹配"
STOCK_EDIT_QTY_LESS_OCC_QTY = "修改库存数量不能小于占用数量"
PLEASE_OPEN_SHOP_SHIPPING_STRATEGY = "请先开启店铺配送策略"

ACTIVITY_NAME_NOT_NULL = "请设置活动名称"
PROMOTION_CODE_NOT_NULL = "请设置折扣码"
BENEFIT_TYPE_NOT_NULL = "请设置折扣码类型"
BENEFIT_EVENT_NOT_NULL = "请设置折扣码优惠条件"
BENEFIT_CONDITION_NOT_NULL = "请设置折扣码优惠内容"
TARGET_USER_TYPE_NOT_NULL = "请设置折扣码适用用户"
ACTIVITY_STATUS_NOT_NULL = "请设置活动状态"
ENTITLED_COUNTRY_TARGET_SELECTION = "请设置免运费信息"
PUBLISH_NUM_NOT_NULL = "请设置折扣码发行数量"
ACQUIRE_PER_USER_LIMIT_NOT_NULL = "请设置用户领取次数限制"
DISCOUNT_CODE_DISPLAY_NOT_NULL = "请设置折扣码是否显示"
MAX_BENEFIT_AMOUNT_NOT_NULL = "请设置折扣码每笔订单最高优惠金额"
MAX_ACCUMULATE_NUM_NOT_NULL = "请设置满送类型折扣码每个订单的最大使用次数"
START_TIME_NOT_NULL = "请设置活动开始时间"

SAME_SHOP_NOT_SWITCH = "店铺相同，不能切换"

ORDER_UNPAID_PLATFORM_SERVICE_FEES = "订单未支付平台服务费"
SUPPLY_REGION_NOT_MATCH = "供应地区不匹配"

CANT_SET_SCATS_DEDUCTION_RATIO = "不是最底级公共分类，不允许设置扣点比例"
DEDUCTION_RATIO_IN_THE_HIGHER_LEVEL_PUBLIC_CLASSIFICATION = "上级公共分类存在扣点比例，无法新增公共分类"
CANT_DELETE_SCATS = "存在下级公共分类，不允许删除"
CANT_DELETE_BASIC_SCATS = "基础公共分类不允许删除"
ALIBABA_RE_AUTHORIZATION = "需要1688账号授权"
PLEASE_SET_SHOP_SHIPPING_STRATEGY = "请调整扣减库存策略为：仓库指定区域。设置路径：商品-仓库列表-右上角扣减库存策略：仓库指定区域-保存。"
INSUFFICIENT_MERCHANT_DEPOSIT = "账户余额需要大于保证金{supplyAmount}才可以继续操作。"
SHOP_FUNDS_ARE_BEING_WITHDRAWN = "店铺资金正在出账中，请稍后再试"
SHOP_FUNDS_ARE_BEING_DEPOSIT = "店铺资金正在入账中，请稍后再试"
WORK_ORDER_WRONG_COMPLAINT_REF_ID = "请填写要投诉的采购单号或供应单号"
WORK_ORDER_HAS_UN_FINISHED_WORK_ORDER = "存在处理中的工单,您目前无法再提交工单,请耐心等待回复"
WORK_ORDER_FINISHED = "此工单已结束"
WORK_ORDER_ASSIGNED = "此工单已由其他管理员处理,你无需处理此工单"
WORK_ORDER_NOT_EXECTEE_USER_OPERATE = "非工单发起人无权限操作此工单"
WORK_ORDER_WAIT_EXECUTOR_USER_REPLY = "请耐心等待管理员回复,感谢您的配合"
WORK_ORDER_CAN_NOT_ASK_AGAIN = "此工单无法再发起提问"
WORK_ORDER_PLEASE_SELECT_TARGET_SHOP_ID = "请选择要咨询的目标店铺"

ROLE_SERVICE_FEE_NOT_EXIST = "角色服务费不存在"
ROLE_VALID_SERVICE_FEE = "存在有效的角色费用记录，无需重复支付"
ROLE_SERVICE_FEE_ERROR = "费用错误，无法支付"

SUPPLY_SHOP_NO_MONEY = "供应店铺余额不足以支付平台服务费"
DELETE_GOOD_CHECK_PUBLISH_ERROR = "刊登商品无法删除"

PAYMENTS_NO_DETAILS = "缺少支付单详细信息"
PAYMENTS_PENDING = "订单未支付"
PAYMENTS_PAID = "订单已支付"
PAYMENTS_REFUNDED = "订单已退款"
PAYMENTS_CLOSED = "订单已关闭"
PAYMENTS_NOT_ALLOW_CONFIG = "平台收款模式下，不允许商户编辑支付配置"

NO_WHOLESALE_PRICE_RULES = "未定义批发价区间规则"
WRONG_WHOLESALE_PRICE_RULES = "定义的批发价区间不正确,请阅读说明查看定义规则"
PREORDER_EMPTY_DELIVERY_INFORMATION = "请填写配送地址信息"

PUBLISH_GOODS_MAIN_SHOP_NOT_ON_SALES = "平台商品未上架"

GUEST_LOGIN_DISABLED = "禁止游客登录"
BENEFIT_EVENT_MIN_THRESHOLD_ERROR = "最低消费金额错误"

SUPPLY_GOOD_WHOLESALE_PRICE_NO_EDIT = "供应商品不允许编辑批发价"
SUPPLY_GOOD_WHOLESALE_PRICE_NO_DELETE = "供应商品不允许删除批发价"

NO_PURCHASE_UNITS = "请选择要采购的商品"

UPLOAD_FILE_TO_OSS_FAILED = "上传文件到Oss失败，请检查文件存储配置"

WRONG_ORDER_ERROR_FOR_REVIEW = "只有待评价订单才能进行评价"

TARGET_LANGUAGE_CANNOT_BE_EMPTY = "目标语言不能为空"
IMAGE_URL_CANNOT_BE_EMPTY = "图片地址不能为空"
SOURCE_LANGUAGE_CANNOT_BE_EMPTY = "源语言不能为空"
TRANSLATE_ENGINE_CANNOT_BE_EMPTY = "翻译引擎不能为空"

PLEASE_SAVE_AND_RETRY = "请保存后重试"

STORE_VIEW_DOES_NOT_EXIST_CANT_DOWNLOAD = "店铺对应视图不存在，无法下载商品"

NO_FENCANG_VALID_RULES = "没有有效的分仓规则"
NO_FENCANG_ENABLE_RULES = "订单不符合已启用的分仓规则条件，前往分仓规则试算，根据失败调整后再重试"
GET_WAREHOUSE_STOCK_ERROR = "查询现有商品库存错误"
NO_AVAILABLE_SHIPPING_FEE = "没有可用的运费"
GET_GOOD_CANG_ERROR = "查询谷仓仓库信息错误"
GOOD_CANG_INFO_NULL = "谷仓仓库信息为空"
GOOD_CANG_CESUAN_ERROR = "谷仓API试算运费错误"
SKU_MOVE_INVENTORY_FAIL = "商品移库失败"
GET_OPTIMAL_WULIU_ERROR = "挑选最优物流方案错误"
CALCULATE_DELIVERY_COST_ERROR = "规则范围内没有可用的物流方案，前往分仓规则试算，根据失败原因调整后再重试"
GET_WMS_CONFIG_ERROR = "查询WMS服务商错误"
NO_WMS_CONFIG = "没有配置WMS服务商"
GET_JIUFANG_ERROR = "查询九方仓库信息错误"
JIUFANG_INFO_NULL = "九方仓库信息为空"

COUNTRY_NOT_EXIST = "国家信息不存在"
COUNTRY_CODE_NOT_MATCH = "国家编码不正确，请检查"
PROVINCE_NOT_EXIST = "省份信息不存在"

NO_MERCHANT_LEVEL = "没有商户等级"
MERCHANT_LEVEL_NAME_EMPTY = "商户等级名称不能为空"
MERCHANT_LEVEL_NAME_EXIST = "商户等级名称已存在"
MERCHANT_LEVEL_USED = "商户等级已被绑定，无法操作"
NO_MEMBER_LEVEL = "没有会员等级"
MEMBER_LEVEL_USED = "会员等级已被绑定，无法操作"

WHOLESALE_ACTIVITY_NAME_EMPTY = "活动名称不能为空"
WHOLESALE_ACTIVITY_NAME_EXIST = "活动名称已存在"
WHOLESALE_ACTIVITY_TIME_INVALID = "活动时间无效"
WHOLESALE_ACTIVITY_NOT_EXIST = "活动不存在"
WHOLESALE_ACTIVITY_STATUS_ERROR = "活动状态无效"
WHOLESALE_ACTIVITY_EXIST_GOODS = "该活动下存在商品，无法删除"
WHOLESALE_ACTIVITY_GOOD_ID_INVALID = "商品ID无效"

COUNTRY_CODE_EMPTY = "国家编码不能为空"
COUNTRY_INFO_NOT_FOUND = "未找到对应的国家信息"

OUT_ID_EXIST_ERROR = "商品外部编码重复，请修改后提交"
NOT_ALLOW_MANUAL_CHANGE_STOCK = "不允许手动更改库存"

TITLE_OR_SLUG_TOO_LONG_ERROR = "标题或别名过长"

LOCK_STOCK_NOT_FULL = "锁定库存不足"

RECHARGE_ZERO = "现有金额为0，无法进行清零操作"
INCORRECT_AMOUNT = "充值金额不正确"
DUPLICATE_REFERENCE_ID = "充值单号重复"
CANCEL_ORDER_ERROR = "只有待支付和待发货的订单才能取消"

NO_ORDER_OUT_RECORD = "没有订单出库记录"

SHIPPING_METHOD_NOT_EXIST = "发货方式不存在"

SKU_WAREHOUSE_RELATION_EXISTS = "SKU已经与该仓库关联"
NO_SKU_WAREHOUSE_RELATION = "映射关系不存在"

PURCHASE_ORDER_NOT_FOUND = "采购单不存在"
SELF_TAKE_ERROR = "一件代发订单，走谷仓合作物流"
SELF_TAKE1_ERROR = "自提订单，走客户物流（谷仓交运）"

PURCHASE_ORDER_SUBMIT_TOO_FAST = "5秒内只能提交一次采购单"

PURCHASE_ORDER_EXISTS = "采购单已存在"

WEBHOOK_LOG_SUCCESS = "当前采购单已推送至仓库，无法修改面单信息"